TagLib::FileRef::FileTypeResolver Class Referenceabstract

A class for pluggable file type resolution. More...

`#include <fileref.h>`

Inheritance diagram for TagLib::FileRef::FileTypeResolver:
[legend]

## Public Member Functions

| FileTypeResolver ()
virtual | ~FileTypeResolver ()=0
| FileTypeResolver (const FileTypeResolver &)=delete
FileTypeResolver & | operator= (const FileTypeResolver &)=delete
virtual File * | createFile (FileName fileName, bool readAudioProperties=true, AudioProperties::ReadStyle audioPropertiesStyle=AudioProperties::Average) const =0

## Detailed Description

A class for pluggable file type resolution.

File type resolver, better implement StreamTypeResolver in order to support both file and stream resolution.

## Constructor & Destructor Documentation

## FileTypeResolver() [1/2]

TagLib::FileRef::FileTypeResolver::FileTypeResolver | ( |  | ) |

Referenced by FileTypeResolver(), and operator=().

## ~FileTypeResolver()

virtual TagLib::FileRef::FileTypeResolver::~FileTypeResolver | ( |  | ) |

pure virtual

Destroys this FileTypeResolver instance.

## FileTypeResolver() [2/2]

TagLib::FileRef::FileTypeResolver::FileTypeResolver | ( | const FileTypeResolver & |  | ) |

delete

References FileTypeResolver().

## Member Function Documentation

## createFile()

virtual File * TagLib::FileRef::FileTypeResolver::createFile | ( | FileName | fileName,
|  | bool | readAudioProperties = true,
|  | AudioProperties::ReadStyle | audioPropertiesStyle = AudioProperties::Average ) const

pure virtual

This method must be overridden to provide an additional file type resolver. If the resolver is able to determine the file type it should return a valid File object; if not it should return nullptr.

Note
  The created file is then owned by the FileRef and should not be deleted. Deletion will happen automatically when the FileRef passes out of scope.

References TagLib::AudioProperties::Average, and TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## operator=()

FileTypeResolver & TagLib::FileRef::FileTypeResolver::operator= | ( | const FileTypeResolver & |  | ) |

delete

References FileTypeResolver().

The documentation for this class was generated from the following file:

- fileref.h